#ifdef __cplusplus
extern "C" {
#endif

enum RadcapTunerType { RadcapAM, RadcapFM };

typedef struct {
	unsigned ProgramIdentificationCode;
	unsigned ProgramTypeCode;
	unsigned Music;
	unsigned Traffic;
	unsigned Decoder;
	char ProgramServiceName[9];
} RDSProgramInformation;


typedef struct {
	unsigned short Block[4];
} RDSRawData;

typedef struct RDSStreamingState *RDSStreamingHandle;
typedef void __stdcall RDSRawStreamingCallback (RDSRawData const *);

UINT __stdcall RadcapStationCount (enum RadcapTunerType Mode);
BOOL __stdcall RadcapGetID (UINT DeviceID, enum RadcapTunerType *pType, int *pTunerID, BOOL *pPaired);
UINT __stdcall RadcapGetFrequency (enum RadcapTunerType Mode, int TunerId);
BOOL __stdcall RadcapSetFrequency (enum RadcapTunerType Mode, int TunerId, UINT Kilohertz);
UINT __stdcall RadcapGetRSSI (enum RadcapTunerType Mode, int TunerId);
BOOL __stdcall RadcapGetStereo (enum RadcapTunerType Mode, int TunerId);
UINT __stdcall RadcapGetDeviation (enum RadcapTunerType Mode, int TunerId);
UINT __stdcall RadcapGetPilotLevel (enum RadcapTunerType Mode, int TunerId);
UINT __stdcall RadcapGetMonoOverrideLevel (enum RadcapTunerType Mode, int TunerId);
BOOL __stdcall RadcapSetMonoOverrideLevel (enum RadcapTunerType Mode, int TunerId, UINT Level);
BOOL __stdcall RadcapRDSPresent (enum RadcapTunerType Mode, int TunerId);
BOOL __stdcall RadcapRDSGetProgramInformation (enum RadcapTunerType Mode, int TunerId, RDSProgramInformation *pInfo);
BOOL __stdcall RadcapRDSGetRadiotext (enum RadcapTunerType Mode, int TunerId, char *pText, size_t BufferSize);
BOOL __stdcall RadcapRDSGetLocalDateTime (enum RadcapTunerType Mode, int TunerId, SYSTEMTIME *pDateTime);
BOOL __stdcall RadcapRDSGetUtcDateTime (enum RadcapTunerType Mode, int TunerId, SYSTEMTIME *pDateTime);
RDSStreamingHandle __stdcall RadcapRDSOpenRawStreaming (enum RadcapTunerType Mode, int TunerId, RDSRawStreamingCallback *pCallback, unsigned short Mask);
void __stdcall RadcapRDSCloseRawStreaming (RDSStreamingHandle hStreaming);
#ifdef __cplusplus
}
#endif
